MyGUI: MyGUI::TextIterator Class Reference

MyGUI 3.4.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions
MyGUI::TextIterator Class Reference

`#include <MyGUI_TextIterator.h>`

## Public Member Functions
| TextIterator (const UString &_text, VectorChangeInfo *_history=nullptr)
bool | moveNext ()
bool | getTagColour (UString &_colour) const
void | clearTagColour ()
bool | setTagColour (const Colour &_colour)
bool | setTagColour (const UString &_colour)
bool | saveStartPoint ()
UString | getFromStart () const
bool | eraseFromStart ()
size_t | getPosition () const
UString | getText () const
void | insertText (const UString &_insert, bool _multiLine)
void | clearNewLine (UString &_text)
void | clearText ()
size_t | getSize () const
void | setText (const UString &_text, bool _multiLine)
void | cutMaxLength (size_t _max)
void | cutMaxLengthFromBeginning (size_t _max)

## Static Public Member Functions
static UString | getOnlyText (const UString &_text)
static UString | getTextNewLine ()
static UString | getTextCharInfo (Char _char)
static UString | convertTagColour (const Colour &_colour)
static UString | toTagsString (const UString &_text)

## Detailed Description

Definition at line 18 of file MyGUI_TextIterator.h.

## Constructor & Destructor Documentation

## ◆ TextIterator()

MyGUI::TextIterator::TextIterator | ( | const UString & | _text,
|  | VectorChangeInfo * | _history = nullptr )

Definition at line 21 of file MyGUI_TextIterator.cpp.

## Member Function Documentation

## ◆ clearNewLine()

void MyGUI::TextIterator::clearNewLine | ( | UString & | _text | ) |

Definition at line 272 of file MyGUI_TextIterator.cpp.

## ◆ clearTagColour()

void MyGUI::TextIterator::clearTagColour | ( |  | ) |

Definition at line 530 of file MyGUI_TextIterator.cpp.

## ◆ clearText()

void MyGUI::TextIterator::clearText | ( |  | ) |

Definition at line 555 of file MyGUI_TextIterator.cpp.

## ◆ convertTagColour()

UString MyGUI::TextIterator::convertTagColour | ( | const Colour & | _colour | ) |
| static

Definition at line 345 of file MyGUI_TextIterator.cpp.

## ◆ cutMaxLength()

void MyGUI::TextIterator::cutMaxLength | ( | size_t | _max | ) |

Definition at line 412 of file MyGUI_TextIterator.cpp.

## ◆ cutMaxLengthFromBeginning()

void MyGUI::TextIterator::cutMaxLengthFromBeginning | ( | size_t | _max | ) |

Definition at line 466 of file MyGUI_TextIterator.cpp.

## ◆ eraseFromStart()

bool MyGUI::TextIterator::eraseFromStart | ( |  | ) |

Definition at line 300 of file MyGUI_TextIterator.cpp.

## ◆ getFromStart()

UString MyGUI::TextIterator::getFromStart | ( |  | ) | const

Definition at line 293 of file MyGUI_TextIterator.cpp.

## ◆ getOnlyText()

UString MyGUI::TextIterator::getOnlyText | ( | const UString & | _text | ) |
| static

Definition at line 205 of file MyGUI_TextIterator.cpp.

## ◆ getPosition()

size_t MyGUI::TextIterator::getPosition | ( |  | ) | const

Definition at line 545 of file MyGUI_TextIterator.cpp.

## ◆ getSize()

size_t MyGUI::TextIterator::getSize | ( |  | ) | const

Definition at line 166 of file MyGUI_TextIterator.cpp.

## ◆ getTagColour()

bool MyGUI::TextIterator::getTagColour | ( | UString & | _colour | ) | const

Definition at line 110 of file MyGUI_TextIterator.cpp.

## ◆ getText()

UString MyGUI::TextIterator::getText | ( |  | ) | const

Definition at line 550 of file MyGUI_TextIterator.cpp.

## ◆ getTextCharInfo()

UString MyGUI::TextIterator::getTextCharInfo | ( | Char | _char | ) |
| static

Definition at line 337 of file MyGUI_TextIterator.cpp.

## ◆ getTextNewLine()

UString MyGUI::TextIterator::getTextNewLine | ( |  | ) |
| static

Definition at line 560 of file MyGUI_TextIterator.cpp.

## ◆ insertText()

void MyGUI::TextIterator::insertText | ( | const UString & | _insert,
|  | bool | _multiLine )

Definition at line 308 of file MyGUI_TextIterator.cpp.

## ◆ moveNext()

bool MyGUI::TextIterator::moveNext | ( |  | ) |

Definition at line 33 of file MyGUI_TextIterator.cpp.

## ◆ saveStartPoint()

bool MyGUI::TextIterator::saveStartPoint | ( |  | ) |

Definition at line 286 of file MyGUI_TextIterator.cpp.

## ◆ setTagColour() [1/2]

bool MyGUI::TextIterator::setTagColour | ( | const Colour & | _colour | ) |

Definition at line 126 of file MyGUI_TextIterator.cpp.

## ◆ setTagColour() [2/2]

bool MyGUI::TextIterator::setTagColour | ( | const UString & | _colour | ) |

Definition at line 160 of file MyGUI_TextIterator.cpp.

## ◆ setText()

void MyGUI::TextIterator::setText | ( | const UString & | _text,
|  | bool | _multiLine )

Definition at line 320 of file MyGUI_TextIterator.cpp.

## ◆ toTagsString()

UString MyGUI::TextIterator::toTagsString | ( | const UString & | _text | ) |
| static

Definition at line 358 of file MyGUI_TextIterator.cpp.

The documentation for this class was generated from the following files:

- MyGUI_TextIterator.h
- MyGUI_TextIterator.cpp